Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.security.bst
Class ClientBSTCredentialProvider

    java.lang.Object
      weblogic.wsee.security.bst.BSTCredentialProvider
          weblogic.wsee.security.bst.ClientBSTCredentialProvider

All Implemented Interfaces:
  CredentialProvider

    public class ClientBSTCredentialProvider

extends BSTCredentialProvider

User: jlee Date: Nov 11, 2004 Time: 9:39:17 AM

Field Summary

Fields inherited from class weblogic.wsee.security.bst.BSTCredentialProvider
`verbose`

Constructor Summary
`ClientBSTCredentialProvider(CertPath certPath, PrivateKey pk)`
`ClientBSTCredentialProvider(String clientCertPath, String clientPrivateKeyPath)`
`ClientBSTCredentialProvider(String clientCertPath, String clientPrivateKeyPath, String serverCertPath)`
`ClientBSTCredentialProvider(String keyStoreFileName, String keyStorePasswd, String certAlias, String keyPasswd)`
`ClientBSTCredentialProvider(String keyStoreFileName, String keyStorePasswd, String certAlias, String keyPasswd, String keyStoreType)`
`ClientBSTCredentialProvider(String keyStoreFileName, String keyStorePasswd, String certAlias, String keyPasswd, String keyStoreType, X509Certificate serverCert)`
`ClientBSTCredentialProvider(X509Certificate clientCert, PrivateKey clientPrivateKey, X509Certificate serverCert)`

Method Summary
`Object` | `getCredential(String tokenType, String issuerName, ContextHandler ctxHandler, Purpose p)`

Methods inherited from class weblogic.wsee.security.bst.BSTCredentialProvider
`getValueTypes, isForDecryption, isForEncryption, isForIdentity, isForResponseEncryption, isForSigning, isForVerification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientBSTCredentialProvider

    public ClientBSTCredentialProvider(String keyStoreFileName,
                                       String keyStorePasswd,
                                       String certAlias,
                                       String keyPasswd)
                                throws Exception

Throws:
  `Exception`

### ClientBSTCredentialProvider

    public ClientBSTCredentialProvider(String keyStoreFileName,
                                       String keyStorePasswd,
                                       String certAlias,
                                       String keyPasswd,
                                       String keyStoreType)
                                throws Exception

Throws:
  `Exception`

### ClientBSTCredentialProvider

    public ClientBSTCredentialProvider(String keyStoreFileName,
                                       String keyStorePasswd,
                                       String certAlias,
                                       String keyPasswd,
                                       String keyStoreType,
                                       X509Certificate serverCert)
                                throws Exception

Throws:
  `Exception`

### ClientBSTCredentialProvider

    public ClientBSTCredentialProvider(String clientCertPath,
                                       String clientPrivateKeyPath)
                                throws Exception

Throws:
  `Exception`

### ClientBSTCredentialProvider

    public ClientBSTCredentialProvider(String clientCertPath,
                                       String clientPrivateKeyPath,
                                       String serverCertPath)
                                throws Exception

Throws:
  `Exception`

### ClientBSTCredentialProvider

    public ClientBSTCredentialProvider(X509Certificate clientCert,
                                       PrivateKey clientPrivateKey,
                                       X509Certificate serverCert)

### ClientBSTCredentialProvider

    public ClientBSTCredentialProvider(CertPath certPath,
                                       PrivateKey pk)

Method Detail

### getCredential

    public Object getCredential(String tokenType,
                                String issuerName,
                                ContextHandler ctxHandler,
                                Purpose p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD